package com.msksbr.images;

import com.msksbr.LoginFrm.ScreenSize;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * EasterEgg 类表示一个彩蛋对话框，用于显示特定的图像。
 */
public class EasterEgg extends JDialog {
    // 对话框的内容面板
    private JPanel contentPane;
    // 确认按钮
    private JButton buttonOK;
    // 用于显示图像的标签
    private JLabel imageLable;

    /**
     * 构造函数，初始化 EasterEgg 对话框。
     */
    public EasterEgg() {
        // 设置对话框的标题
        setTitle("Easter Egg!");
        // 设置对话框的内容面板
        setContentPane(contentPane);
        // 设置对话框为模态对话框
        setModal(true);
        // 设置默认按钮为 buttonOK
        getRootPane().setDefaultButton(buttonOK);
        // 设置 imageLable 的图标为指定路径的图像
        imageLable.setIcon(new ImageIcon(EasterEgg.class.getResource("/com/msksbr/images/BuzzBeans.png")));
        // 为 buttonOK 添加动作监听器
        buttonOK.addActionListener(new ActionListener() {
            /**
             * 当按钮被点击时调用的方法。
             *
             * @param e 动作事件
             */
            public void actionPerformed(ActionEvent e) {
                // 调用 onOK 方法
                onOK();
            }
        });

        // 调整对话框的大小以适应其内容
        pack();
        // 设置对话框不可调整大小
        setResizable(false);
        // 设置对话框的位置
        setLocation();
        // 设置对话框可见
        setVisible(true);
    }

    /**
     * 当用户点击确认按钮时调用的方法。
     */
    private void onOK() {
        // 在此处添加您的代码
        // 关闭对话框
        dispose();
    }

    /**
     * 设置对话框的位置为屏幕中心。
     */
    public void setLocation() {
        // 设置对话框的位置为屏幕中心
        setLocation(new ScreenSize().width / 2 - getWidth() / 2, new ScreenSize().height / 2 - getHeight() / 2);
    }
}
